Package org.eclipse.m2m.atl.profiler.model.util

# Class ModelAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.m2m.atl.profiler.model.util.ModelAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

Direct Known Subclasses:
  `ModelItemProviderAdapterFactory`

public class ModelAdapterFactory extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `ModelPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static ModelPackage`
`modelPackage`
The cached model package.
`protected ModelSwitch<org.eclipse.emf.common.notify.Adapter>`
`modelSwitch`
The switch the delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`ModelAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.Adapter`
`createAdapter(org.eclipse.emf.common.notify.Notifier target)`
Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter`
`createATLInstructionAdapter()`
Creates a new adapter for an object of class '`ATL Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createATLOperationAdapter()`
Creates a new adapter for an object of class '`ATL Operation`'.
`org.eclipse.emf.common.notify.Adapter`
`createContextAdapter()`
Creates a new adapter for an object of class '`Context`'.
`org.eclipse.emf.common.notify.Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter`
`createExecutionErrorAdapter()`
Creates a new adapter for an object of class '`Execution Error`'.
`org.eclipse.emf.common.notify.Adapter`
`createProfilingInstructionAdapter()`
Creates a new adapter for an object of class '`Profiling Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createProfilingModelAdapter()`
Creates a new adapter for an object of class '`Profiling Model`'.
`org.eclipse.emf.common.notify.Adapter`
`createProfilingOperationAdapter()`
Creates a new adapter for an object of class '`Profiling Operation`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static ModelPackage modelPackage
The cached model package.

### modelSwitch

protected ModelSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch
The switch the delegates to the `createXXX` methods.

## Constructor Details

### ModelAdapterFactory

public ModelAdapterFactory()
Creates an instance of the adapter factory.

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

### createAdapter

public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

### createProfilingInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createProfilingInstructionAdapter()
Creates a new adapter for an object of class '`Profiling Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ProfilingInstruction`

### createProfilingOperationAdapter

public org.eclipse.emf.common.notify.Adapter createProfilingOperationAdapter()
Creates a new adapter for an object of class '`Profiling Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ProfilingOperation`

### createProfilingModelAdapter

public org.eclipse.emf.common.notify.Adapter createProfilingModelAdapter()
Creates a new adapter for an object of class '`Profiling Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ProfilingModel`

### createATLOperationAdapter

public org.eclipse.emf.common.notify.Adapter createATLOperationAdapter()
Creates a new adapter for an object of class '`ATL Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ATLOperation`

### createATLInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createATLInstructionAdapter()
Creates a new adapter for an object of class '`ATL Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ATLInstruction`

### createContextAdapter

public org.eclipse.emf.common.notify.Adapter createContextAdapter()
Creates a new adapter for an object of class '`Context`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Context`

### createExecutionErrorAdapter

public org.eclipse.emf.common.notify.Adapter createExecutionErrorAdapter()
Creates a new adapter for an object of class '`Execution Error`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ExecutionError`

### createEObjectAdapter

public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.